beamToXyz {oce} | R Documentation

## Change ADV or ADP coordinate systems

### Description

Convert velocity data from an acoustic-doppler velocimeter or acoustic-doppler profiler from one coordinate system to another.

### Usage

    beamToXyz(x, ...)
    xyzToEnu(x, ...)
    enuToOther(x, ...)
    toEnu(x, ...)

### Arguments

`x` | an object of class `"adv"` or `"adp"`.
`...` | extra arguments that are passed on to the called function.

### Details

Each of these functions checks the type of object, and calls the corresponding function, as appropriate. For example, `beamToXyz` calls `beamToXyzAdp` for an object that inhertis from `"adp"` or `beamToXyzAdv` for an object that inhertis from `"adv"`.

### Value

An object of the same type as `x`, but with `x[["v"]]` converted from beam coordinates to xyz coordinates, and with `x[["oceCoordinate"]]` changed from `"beam"` to `"xyz"`.

### Author(s)

Dan Kelley

### See Also

The real work is done with specialized routines, `beamToXyzAdp`, `beamToXyzAdv`, `xyzToEnuAdp`, `xyzToEnuAdv`, `enuToOtherAdp`, `enuToOtherAdv`, `toEnuAdp`, and `toEnuAdv`.

[Package oce version 0.9-18 Index]